Bug 211915 - REGRESSION (r261493?): media/video-isplayingtoautomotiveheadunit.html is a flaky failure
Summary: REGRESSION (r261493?): media/video-isplayingtoautomotiveheadunit.html is a fl...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Peng Liu
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-05-14 12:38 PDT by Ryan Haddad
Modified: 2020-05-18 11:05 PDT (History)
9 users (show)

See Also:


Attachments
Patch (3.74 KB, patch)
2020-05-15 21:32 PDT, Peng Liu
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Haddad 2020-05-14 12:38:07 PDT
media/video-isplayingtoautomotiveheadunit.html is a flaky failure on Catalina and Mojave

--- /Volumes/Data/slave/mojave-debug-tests-wk2/build/layout-test-results/media/video-isplayingtoautomotiveheadunit-expected.txt
+++ /Volumes/Data/slave/mojave-debug-tests-wk2/build/layout-test-results/media/video-isplayingtoautomotiveheadunit-actual.txt
@@ -10,6 +10,6 @@
 EVENT(playing)
 RUN(internals.setIsPlayingToAutomotiveHeadUnit(true))
 RUN(internals.applicationDidEnterBackground(true))
-EXPECTED (video.paused == 'false') OK
+EXPECTED (video.paused == 'false'), OBSERVED 'true' FAIL
 END OF TEST
 
https://results.webkit.org/?suite=layout-tests&test=media%2Fvideo-isplayingtoautomotiveheadunit.html
Comment 1 Radar WebKit Bug Importer 2020-05-14 12:38:26 PDT
<rdar://problem/63239028>
Comment 2 Ryan Haddad 2020-05-14 12:38:58 PDT
The first flake appeared on 5/11/2020 with r261534.
Comment 3 Ryan Haddad 2020-05-14 12:41:13 PDT
Looking at commits in proximity, r261493 landed earlier that day:
Enable the mock video presentation mode in related layout tests and fix test failures
​https://bugs.webkit.org/show_bug.cgi?id=211645
Comment 4 Peng Liu 2020-05-15 21:32:51 PDT
Created attachment 399542 [details]
Patch
Comment 5 Daniel Bates 2020-05-18 06:45:44 PDT
Comment on attachment 399542 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=399542&action=review

> LayoutTests/media/video-isplayingtoautomotiveheadunit.html:43
> +        run('internals.setIsPlayingToAutomotiveHeadUnit(false)');

This is ok as is. No change needed. The optimal solution is for WebKitTestRunner's/DumpRenderTree's resetToConsistentState or resetInternalSettings or whatever that function is called to do this.
Comment 6 Daniel Bates 2020-05-18 06:46:01 PDT
Comment on attachment 399542 [details]
Patch

Patch looks good
Comment 7 EWS 2020-05-18 11:05:07 PDT
Committed r261822: <https://trac.webkit.org/changeset/261822>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 399542 [details].